GNU bug report logs - #52912
29.0.50; Left over files from native compilation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Monnier <monnier@HIDDEN>; merged with #48141; dated Fri, 31 Dec 2021 05:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 52912 <at> debbugs.gnu.org:


Received: (at 52912) by debbugs.gnu.org; 15 Jan 2022 09:45:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 04:45:37 2022
Received: from localhost ([127.0.0.1]:39040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fcu-0000VI-TF
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:45:37 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8fct-0000NV-G6
 for 52912 <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:45:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WtJhamLRC9QHr2425Z3lATkcA/QrL7rjb0c38AFwV/c=; b=gvM1T4SI3nYEHxgL8bpfR7GMTi
 UwLbypW07UH2wx0UnQZ7pFwq1Xp9VJDC9PvPcSKWBunKUkysieYzoeIiSuIxX1eB4mpzWVixmG6Tt
 rONaiXsTGRWWtRrMUHuw+6pg6aV1P90CmapIbtkl9ISLGsuyeZcWwJCEjygNOXy8xEck=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8fci-0003F7-IE; Sat, 15 Jan 2022 10:45:28 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#52912: 29.0.50; Left over files from native compilation
References: <jwv4k6pe4ej.fsf@HIDDEN> <xjftuel4vgx.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (4)_: "I Had A King"
Date: Sat, 15 Jan 2022 10:45:23 +0100
In-Reply-To: <xjftuel4vgx.fsf@HIDDEN> (Andrea Corallo's message of "Sun,
 02 Jan 2022 22:35:26 +0000")
Message-ID: <87pmotxrgs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: > I guess Emacs was
 brutally killed while building, otherwise we should > clean these. Not sure
 how we can do better here, it works exactly as > the byecompiler is working
 (but is just slower in compi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52912
Cc: 52912 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andrea Corallo <akrl@HIDDEN> writes:

> I guess Emacs was brutally killed while building, otherwise we should
> clean these.  Not sure how we can do better here, it works exactly as
> the byecompiler is working (but is just slower in compiling).

I think I've asked this before -- do we have to write the temporary .elc
files out to disk at all before doing the .eln compilation?  Can't that
work directly from an in-buffer .elc?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52912; Package emacs. Full text available.

Message received at 52912 <at> debbugs.gnu.org:


Received: (at 52912) by debbugs.gnu.org; 2 Jan 2022 22:35:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 17:35:29 2022
Received: from localhost ([127.0.0.1]:33850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n49Rp-0007zZ-8S
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 17:35:29 -0500
Received: from mx.sdf.org ([205.166.94.24]:61717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1n49Rn-0007zR-Il
 for 52912 <at> debbugs.gnu.org; Sun, 02 Jan 2022 17:35:28 -0500
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 202MZQWF024131
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 2 Jan 2022 22:35:26 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#52912: 29.0.50; Left over files from native compilation
References: <jwv4k6pe4ej.fsf@HIDDEN>
Date: Sun, 02 Jan 2022 22:35:26 +0000
In-Reply-To: <jwv4k6pe4ej.fsf@HIDDEN> (Stefan Monnier via's message
 of "Fri, 31 Dec 2021 00:20:52 -0500")
Message-ID: <xjftuel4vgx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52912
Cc: 52912 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Package: Emacs
> Version: 29.0.50
>
>
> In the build trees where I activate native compilation, I keep getting
> temp files left around like:
>
>     lisp/files.elcEzo7Nt
>     lisp/frame.elc8Gsst9
>     lisp/help.elc92jC2M
>
> I'm not completely sure in which circumstances these appear.
> It might be when I interrupt the build with `C-c` or when it dies for
> some other reason.
> But in any case we should clean these promptly rather than leaving them
> for some human to clean them up by hand.
>
>
>         Stefan

Hi Stefan,

I guess Emacs was brutally killed while building, otherwise we should
clean these.  Not sure how we can do better here, it works exactly as
the byecompiler is working (but is just slower in compiling).

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52912; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2022 22:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 02 17:35:33 2022
Received: from localhost ([127.0.0.1]:33853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n49Rt-0007zq-GB
	for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 17:35:33 -0500
Received: from lists.gnu.org ([209.51.188.17]:38786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1n49Rs-0007zj-Bf
 for submit <at> debbugs.gnu.org; Sun, 02 Jan 2022 17:35:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41648)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1n49Rq-0006XY-IX
 for bug-gnu-emacs@HIDDEN; Sun, 02 Jan 2022 17:35:32 -0500
Received: from mx.sdf.org ([205.166.94.24]:61715)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1n49Rp-0001SD-3Q
 for bug-gnu-emacs@HIDDEN; Sun, 02 Jan 2022 17:35:30 -0500
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 202MZQWF024131
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 2 Jan 2022 22:35:26 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#52912: 29.0.50; Left over files from native compilation
References: <jwv4k6pe4ej.fsf@HIDDEN>
Date: Sun, 02 Jan 2022 22:35:26 +0000
In-Reply-To: <jwv4k6pe4ej.fsf@HIDDEN> (Stefan Monnier via's message
 of "Fri, 31 Dec 2021 00:20:52 -0500")
Message-ID: <xjftuel4vgx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: 0
X-Spam_score: -0.0
X-Spam_bar: /
X-Spam_report: (-0.0 / 5.0 requ) SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 52912 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Package: Emacs
> Version: 29.0.50
>
>
> In the build trees where I activate native compilation, I keep getting
> temp files left around like:
>
>     lisp/files.elcEzo7Nt
>     lisp/frame.elc8Gsst9
>     lisp/help.elc92jC2M
>
> I'm not completely sure in which circumstances these appear.
> It might be when I interrupt the build with `C-c` or when it dies for
> some other reason.
> But in any case we should clean these promptly rather than leaving them
> for some human to clean them up by hand.
>
>
>         Stefan

Hi Stefan,

I guess Emacs was brutally killed while building, otherwise we should
clean these.  Not sure how we can do better here, it works exactly as
the byecompiler is working (but is just slower in compiling).

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52912; Package emacs. Full text available.

Message received at 52912 <at> debbugs.gnu.org:


Received: (at 52912) by debbugs.gnu.org; 31 Dec 2021 16:10:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 31 11:10:39 2021
Received: from localhost ([127.0.0.1]:57346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n3KUI-0003gQ-UP
	for submit <at> debbugs.gnu.org; Fri, 31 Dec 2021 11:10:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1n3KUI-0003g6-4Q
 for 52912 <at> debbugs.gnu.org; Fri, 31 Dec 2021 11:10:38 -0500
Received: from [2001:470:142:3::e] (port=51738 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1n3KUC-0002C2-Uk; Fri, 31 Dec 2021 11:10:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=HTpvM0K4+lHj80JUcj3sxeEBYm7buOAL9OyP/LtcngA=; b=Ft8uzVCYEFH80yP9iChG
 VuYCSOh5LUhPMLU0YgPNr50lgjjbfBOS+zKH27KhhkSZFA6Y5OA5grkXIcQPG+BKI7J/Os+j1FAEV
 jJgauvrl9nZKZMKeZAKL5CSSQBEZxdc07yNYXnvLNAMVLh+giYavqY78VXoSasdmrRPOuasdnYm9b
 jRCIKC3QOjBH9GimM0T3BXITO7LC5+gUkq5l9RRGRPzn8rewJdbdCkpCxO376goK+b5P+s2uRwHiN
 vdziAPciRL9AhUupJ9QlSe5vtba7LhpVdBdtVdCSTodU6Il3+JaPufe9X/xP5SXqV+dh711ZPQLLo
 ++VElze9zHt5cA==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1n3KU8-00086R-He; Fri, 31 Dec 2021 11:10:29 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#52912: 29.0.50; Left over files from native compilation
References: <jwv4k6pe4ej.fsf@HIDDEN>
X-Spook: infowar White Water Leuken-Baden weapons of mass
X-Ran: mX9'*JY:k[SFX!B>k3_Wljw}OijEFMCh-2%u]NjrM?al0v7;oj1#XgU/_9LOj7^0MG9gls
X-Hue: brightwhite
X-Attribution: GM
Date: Fri, 31 Dec 2021 11:10:28 -0500
In-Reply-To: <jwv4k6pe4ej.fsf@HIDDEN> (Stefan Monnier's message of
 "Fri, 31 Dec 2021 00:20:52 -0500")
Message-ID: <14tueowya3.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52912
Cc: 52912 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Previously discussed in
https://debbugs.gnu.org/48141
https://debbugs.gnu.org/48079




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52912; Package emacs. Full text available.
Merged 48141 52912. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Dec 2021 05:21:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 31 00:21:28 2021
Received: from localhost ([127.0.0.1]:54950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n3AM3-0003Lp-21
	for submit <at> debbugs.gnu.org; Fri, 31 Dec 2021 00:21:28 -0500
Received: from lists.gnu.org ([209.51.188.17]:50126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1n3AM0-0003Lg-FZ
 for submit <at> debbugs.gnu.org; Fri, 31 Dec 2021 00:21:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57364)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monnier@HIDDEN>)
 id 1n3ALy-0000st-NZ
 for bug-gnu-emacs@HIDDEN; Fri, 31 Dec 2021 00:21:24 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:33342)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monnier@HIDDEN>)
 id 1n3ALt-00083f-7J
 for bug-gnu-emacs@HIDDEN; Fri, 31 Dec 2021 00:21:20 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 66F291001C2
 for <bug-gnu-emacs@HIDDEN>; Fri, 31 Dec 2021 00:21:15 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 8B4CA100121
 for <bug-gnu-emacs@HIDDEN>; Fri, 31 Dec 2021 00:21:11 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1640928071;
 bh=wMxojvSbvZu+C47Raa1y8dH0tiYNcRzYHAVGn4I0qjw=;
 h=From:To:Subject:Date:From;
 b=Iyidb3xs3HEBxzHDCMgOTlAxJDtu4B/eIVmqc0AiffhuKf/utqSzH1aYlACTe71Js
 2UMSe8s3Egew80tlwOfq8e/GwkMuv9rx+CFDwBLml12OLSBDjv+kwJb9V28gFKa/h9
 mbVaPKI1rAL+2Z+0/1AYZOXV9BdI1TXEnI1kUdlOz3GscACX8VPHKHXFqM6nwoQPRC
 9ofnK13G/UDoGvBGwAQtJjSvb6W52VUutZeDof5hT2KrshoOwQhDKDDGrxR4/ZmhID
 tklBaJqSawmeLdEI5m0HuclYb/7a9v7XAkHdV9xcyte0sWy9JyvykCR7Q5uAIIkpOi
 p+i8jGvFdbCpw==
Received: from pastel (unknown [216.154.30.173])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 54B1B120384
 for <bug-gnu-emacs@HIDDEN>; Fri, 31 Dec 2021 00:21:11 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Left over files from native compilation
Date: Fri, 31 Dec 2021 00:20:52 -0500
Message-ID: <jwv4k6pe4ej.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.089 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
Received-SPF: pass client-ip=132.204.25.50;
 envelope-from=monnier@HIDDEN; helo=mailscanner.iro.umontreal.ca
X-Spam_score_int: -23
X-Spam_score: -2.4
X-Spam_bar: --
X-Spam_report: (-2.4 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Package: Emacs
Version: 29.0.50


In the build trees where I activate native compilation, I keep getting
temp files left around like:

    lisp/files.elcEzo7Nt
    lisp/frame.elc8Gsst9
    lisp/help.elc92jC2M

I'm not completely sure in which circumstances these appear.
It might be when I interrupt the build with `C-c` or when it dies for
some other reason.
But in any case we should clean these promptly rather than leaving them
for some human to clean them up by hand.


        Stefan



In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2021-12-28 built on pastel
Repository revision: b9cbe81b8ae0a1910968bd9aa63c92254a3dcb17
Repository branch: work
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure -C --enable-checking --enable-check-lisp-object-type --with-modules --with-cairo --with-tiff=ifavailable
 'CFLAGS=-Wall -g3 -Og -Wno-pointer-sign'
 PKG_CONFIG_PATH=/home/monnier/lib/pkgconfig'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND
THREADS TOOLKIT_SCROLL_BARS X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: fr_CH.UTF-8
  locale-coding-system: utf-8-unix

Major mode: InactiveMinibuffer

Minor modes in effect:
  shell-dirtrack-mode: t
  electric-pair-mode: t
  global-reveal-mode: t
  reveal-mode: t
  auto-insert-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  global-compact-docstrings-mode: t
  url-handler-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/monnier/src/emacs/nongnu/packages/geiser-kawa/geiser-kawa-autoloads hides /home/monnier/src/emacs/nongnu/packages/geiser-kawa/elisp/geiser-kawa-autoloads
/home/monnier/src/emacs/nongnu/packages/geiser/geiser-autoloads hides /home/monnier/src/emacs/nongnu/packages/geiser/elisp/geiser-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/magit-pkg hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/magit-autoloads hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/lisp/git-commit-pkg hides /home/monnier/src/emacs/nongnu/packages/git-commit/git-commit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-log hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-log
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-diff hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-diff
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-submodule hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-submodule
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-push hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-push
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-notes hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-notes
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-core hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-core
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-pull hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-pull
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-merge hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-merge
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-bundle hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-bundle
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-clone hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-clone
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-bookmark hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-bookmark
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-remote hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-remote
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-mode hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-mode
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-utils hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-utils
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-margin hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-margin
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-section-pkg hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-section-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-bisect hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-bisect
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-tag hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-tag
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-status hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-status
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-ediff hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-ediff
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-wip hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-wip
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-worktree hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-worktree
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-obsolete hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-obsolete
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-apply hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-apply
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-branch hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-branch
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-sequence hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-sequence
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-libgit-pkg hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-libgit-pkg
/home/monnier/src/emacs/nongnu/packages/git-commit/git-commit-autoloads hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/git-commit-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-transient hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-transient
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-reset hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-reset
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-extras hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-extras
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-subtree hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-subtree
/home/monnier/src/emacs/nongnu/packages/magit/magit-pkg hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-files hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-files
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-section hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-section
/home/monnier/src/emacs/nongnu/packages/magit/lisp/git-commit-pkg hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/git-commit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-libgit hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-libgit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-process hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-process
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-stash hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-stash
/home/monnier/src/emacs/nongnu/packages/magit/lisp/git-commit hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/git-commit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-git hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-git
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-blame hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-blame
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-repos hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-repos
/home/monnier/src/emacs/nongnu/packages/magit/lisp/git-rebase hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/git-rebase
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-imenu hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-imenu
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-gitignore hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-gitignore
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-commit hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-commit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-reflog hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-reflog
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-fetch hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-fetch
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-autorevert hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-autorevert
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-patch hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-patch
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-refs hides /home/monnier/src/emacs/nongnu/packages/git-commit/lisp/magit-refs
/home/monnier/src/emacs/nongnu/packages/arduino-mode/ob-arduino hides /home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ob-arduino
/home/monnier/src/emacs/nongnu/packages/org-contrib/org-contrib-autoloads hides /home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/org-contrib-autoloads
/home/monnier/src/emacs/nongnu/packages/pdf-tools/pdf-tools-autoloads hides /home/monnier/src/emacs/nongnu/packages/pdf-tools/lisp/pdf-tools-autoloads
/home/monnier/src/emacs/nongnu/packages/php-mode/php-mode-autoloads hides /home/monnier/src/emacs/nongnu/packages/php-mode/lisp/php-mode-autoloads
/home/monnier/src/emacs/nongnu/packages/subed/subed-autoloads hides /home/monnier/src/emacs/nongnu/packages/subed/subed/subed-autoloads
/home/monnier/src/emacs/elpa/packages/bbdb/bbdb-autoloads hides /home/monnier/src/emacs/elpa/packages/bbdb/lisp/bbdb-autoloads
/home/monnier/src/emacs/nongnu/packages/paredit/test hides /home/monnier/src/emacs/elpa/packages/easy-kill/test
/home/monnier/src/emacs/elpa/packages/embark-consult/embark-consult hides /home/monnier/src/emacs/elpa/packages/embark/embark-consult
/home/monnier/src/emacs/elpa/packages/embark-consult/embark hides /home/monnier/src/emacs/elpa/packages/embark/embark
/home/monnier/src/emacs/elpa/packages/embark-consult/avy-embark-collect hides /home/monnier/src/emacs/elpa/packages/embark/avy-embark-collect
/home/monnier/src/emacs/elpa/packages/realgud-lldb/cask-install hides /home/monnier/src/emacs/elpa/packages/realgud-trepan-ni/cask-install
/home/monnier/src/emacs/elpa/packages/realgud-lldb/cask-install hides /home/monnier/src/emacs/elpa/packages/realgud/cask-install
/home/monnier/src/emacs/elpa/packages/taxy/taxy-magit-section hides /home/monnier/src/emacs/elpa/packages/taxy-magit-section/taxy-magit-section
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-section-pkg hides /home/monnier/src/emacs/nongnu/packages/magit-section/magit-section-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-log hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-log
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-diff hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-diff
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-submodule hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-submodule
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-push hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-push
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-notes hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-notes
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-core hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-core
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-pull hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-pull
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-merge hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-merge
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-bundle hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-bundle
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-clone hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-clone
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-bookmark hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-bookmark
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-remote hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-remote
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-mode hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-mode
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-utils hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-utils
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-margin hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-margin
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-section-pkg hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-section-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-bisect hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-bisect
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-tag hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-tag
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-status hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-status
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-ediff hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-ediff
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-wip hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-wip
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-worktree hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-worktree
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-obsolete hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-obsolete
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-apply hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-apply
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-branch hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-branch
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-sequence hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-sequence
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-libgit-pkg hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-libgit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-transient hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-transient
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-reset hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-reset
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-extras hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-extras
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-subtree hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-subtree
/home/monnier/src/emacs/nongnu/packages/magit/magit-pkg hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-files hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-files
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-section hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-section
/home/monnier/src/emacs/nongnu/packages/magit/lisp/git-commit-pkg hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/git-commit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-libgit hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-libgit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-process hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-process
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-stash hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-stash
/home/monnier/src/emacs/nongnu/packages/magit-section/magit-section-autoloads hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-section-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/lisp/git-commit hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/git-commit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-git hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-git
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-blame hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-blame
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-repos hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-repos
/home/monnier/src/emacs/nongnu/packages/magit/lisp/git-rebase hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/git-rebase
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-imenu hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-imenu
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-gitignore hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-gitignore
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-commit hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-commit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-reflog hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-reflog
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-fetch hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-fetch
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-autorevert hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-autorevert
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-patch hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-patch
/home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-refs hides /home/monnier/src/emacs/nongnu/packages/magit-section/lisp/magit-refs
/home/monnier/src/emacs/elpa/packages/transient/transient-autoloads hides /home/monnier/src/emacs/elpa/packages/transient/lisp/transient-autoloads
/home/monnier/src/emacs/elpa/packages/vcard/vcard hides /home/monnier/src/elisp/vm/lisp/vcard
/home/monnier/src/emacs/elpa/packages/transient/lisp/transient hides /home/monnier/src/emacs/work/lisp/transient
/home/monnier/src/emacs/nongnu/packages/lua-mode/lua-mode hides /home/monnier/src/emacs/work/lisp/progmodes/lua-mode
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ox-koma-letter hides /home/monnier/src/emacs/work/lisp/org/ox-koma-letter
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ol-man hides /home/monnier/src/emacs/work/lisp/org/ol-man
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ob-julia hides /home/monnier/src/emacs/work/lisp/org/ob-julia
/home/monnier/src/emacs/work/lisp/keymap hides /home/monnier/src/emacs/work/lisp/emacs-lisp/keymap
/home/monnier/src/emacs/elpa/packages/seq/seq hides /home/monnier/src/emacs/work/lisp/emacs-lisp/seq
/home/monnier/src/emacs/elpa/packages/hyperbole/set hides /home/monnier/src/emacs/work/lisp/emacs-lisp/set
/home/monnier/src/emacs/elpa/packages/crisp/crisp hides /home/monnier/src/emacs/work/lisp/obsolete/crisp
/home/monnier/src/emacs/elpa/packages/landmark/landmark hides /home/monnier/src/emacs/work/lisp/obsolete/landmark

Features:
(shadow sort mail-extr emacsbug sendmail sm-c-mode smie doc-view
jka-compr image-mode exif whitespace bug-reference find-func shortdoc
package-x gitignore-mode conf-mode vc-mtn vc-hg vc-bzr vc-src vc-sccs
vc-svn vc-cvs vc-rcs vc-got log-edit message yank-media rmc puny rfc822
mml mml-sec epa derived epg rfc6068 epg-config gnus-util mm-decode
mm-bodies mm-encode mailabbrev mail-utils gmm-utils mailheader add-log
vc-annotate vc-dir ewoc autoload dabbrev smerge-mode wgrep shell
pcomplete files-x grep cl-extra misearch multi-isearch executable
copyright cus-edit cl-print pp cus-start cus-load wid-edit vc-fossil
vc-backup log-view pcvs-util vc diff vc-git diff-mode vc-dispatcher
filecache autorevert filenotify server time-date flymake-proc flymake
project compile text-property-search comint ansi-color warnings noutline
outline easy-mmode flyspell ispell checkdoc lisp-mnt mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr dired dired-loaddefs
thingatpt load-dir elec-pair reveal autoinsert savehist minibuf-eldef
disp-table compact-docstrings ede/auto eieio-base geiser-impl help-fns
radix-tree help-mode geiser-custom geiser-base ring slime-autoloads
sly-autoloads rx compat compat-28.1 compat-27.1 compat-26.1 compat-25.1
compat-24.4 cl-seq engrave-faces gnu-elpa-features
realgud-recursive-autoloads finder-inf url-auth info vm-autoloads
lmc-autoloads proof-site proof-autoloads package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap url-handlers url-parse auth-source eieio
eieio-core cl-macs gv eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer simple
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
abbrev obarray nadvice fcr cl-preloaded button loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo x-toolkit x multi-tty make-network-process
emacs)

Memory information:
((conses 16 355882 97720)
 (symbols 48 22484 1) (strings 32 91866 5815) (string-bytes 1 3511522)
 (vectors 16 65955)
 (vector-slots 8 1855441 230407) (floats 8 462 375) (intervals 56 24428 18)
 (buffers 992 90))





Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52912; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Jan 2022 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.